### Hierarchy

- AnimationEffect
  - KeyframeEffect

## Index

### Properties

- AnimationEffect
- composite
- iterationComposite
- target

### Methods

- getComputedTiming
- getKeyframes
- getTiming
- setKeyframes
- updateTiming

## Properties

### AnimationEffect

AnimationEffect: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1774

#### Type declaration

- ##### constructor: function

  - new __type(): AnimationEffect
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1775

    #### Returns AnimationEffect

- ##### prototype: AnimationEffect

### composite

composite: CompositeOperation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9341

### iterationComposite

iterationComposite: IterationCompositeOperation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9342

### target

target: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9343

## Methods

### getComputedTiming

- getComputedTiming(): ComputedEffectTiming

- Inherited from AnimationEffect.getComputedTiming

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1769

  #### Returns ComputedEffectTiming

### getKeyframes

- getKeyframes(): ComputedKeyframe[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9344

  #### Returns ComputedKeyframe[]

### getTiming

- getTiming(): EffectTiming

- Inherited from AnimationEffect.getTiming

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1770

  #### Returns EffectTiming

### setKeyframes

- setKeyframes(keyframes: Keyframe[] | PropertyIndexedKeyframes | null): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:9345

  #### Parameters

  - ##### keyframes: Keyframe[] | PropertyIndexedKeyframes | null

  #### Returns void

### updateTiming

- updateTiming(timing?: OptionalEffectTiming): void

- Inherited from AnimationEffect.updateTiming

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:1771

  #### Parameters

  - ##### Optional timing: OptionalEffectTiming

  #### Returns void

Generated using TypeDoc